# __gnu_profile::__warning_data Struct Reference

Representation of a warning. More...

List of all members.

## Public Member Functions

- __warning_data (float __m, __stack_t __c, const char *__id, const char *__msg)
- bool operator> (const struct __warning_data &__other) const

## Public Attributes

- __stack_t __context
- float __magnitude
- const char * __warning_id
- const char * __warning_message

## Detailed Description

Representation of a warning.

Definition at line 82 of file profiler_trace.h.

The documentation for this struct was generated from the following file:

- profiler_trace.h